This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 830915 - s390x sha256_s390 failure under Hercules blocking boot
s390x sha256_s390 failure under Hercules blocking boot
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
s390x Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Samantha N. Bueno
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2012-06-11 12:27 EDT by R P Herrold
Modified: 2015-02-18 08:44 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:44:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
log file for fedora 19 (45.53 KB, text/x-log)
2013-10-01 21:12 EDT, Adam Goode
no flags Details

  None (edit)
Description R P Herrold 2012-06-11 12:27:19 EDT
Description of problem:

Dracut fails, causing a non-bootable unit under hercules

Version-Release number of selected component (if applicable):

S390x release candidate from June 8 2012

How reproducible:

download test candidate per release announcement at:

http://s390.koji.fedoraproject.org/tree/test/20120605/s390x/os/images/install.img
   
http://lists.fedoraproject.org/pipermail/s390x/2012-June/000192.html
add to hercules.cnf
IPL 000C
 ...
unit fails to boot

Steps to Reproduce:
  
Actual results:


HHC00801I Processor CP01:  Operation exception code 0001  ilc 4
CP01: PSW=0704300180000000 000003E00055D03E INST=B93E0022 KIMD  2,2
CP01: V:0000000000000000:K:06=00000000 00000000 00000000 00000000
.............
CP01: V:0000000000000000:K:06=00000000 00000000 00000000 00000000
.............
CP01: R0=0000000000000000 R1=00000000160DFE70
CP01: R2=0000000000000000 R3=0000000000000000
CP01: R4=00000000FFFFFFFF R5=0000000000B1F000
CP01: R6=0000000000000000 R7=00000000BEE922C0
CP01: R8=0000000000B17000 R9=0000000000000000
CP01: RA=000003FFFD5BC274 RB=000003E00055A300
CP01: RC=000003E00055D000 RD=000000000068AC20
CP01: RE=00000000160DFE00 RF=00000000160DFDD0
ERROR: could not insert 'sha256_s390': Operation not supported
Loading Fedora 20120605 s390x installer...
   379.028001! dracut: rd.luks=0: removing cryptoluks activation
 ...


Error 2

dracut Warning: /dev/root does not exist +

Dropping to debug shell.

/lib/dracut-lib.sh: line 802: /dev/tty1: No such file or directory
   486.493291! dracut Warning: Unable to process initqueue
   486.523987! dracut Warning: /dev/root does not exist


dracut Warning: Unable to process initqueue
dracut Warning: /dev/root does not exist

Dropping to debug shell.

/lib/dracut-lib.sh: line 802: /dev/tty1: No such file or directory
   488.565431! dracut Warning: Unable to process initqueue
   488.596101! dracut Warning: /dev/root does not exist


dracut Warning: Unable to process initqueue
dracut Warning: /dev/root does not exist

Dropping to debug shell.
dracut Warning: Unable to process initqueue
dracut Warning: /dev/root does not exist

Dropping to debug shell.

Expected results:

unit should boot

Additional info:

hercules-390-0.0.20120605.git-1orc
SRC RPM is at 
ftp://ftp.owlriver.com/pub/mirror/ORC/hercules/
Comment 1 R P Herrold 2012-06-11 16:22:57 EDT
I see this email on the anaconda list ten days ago:

Date: Thu, 31 May 2012 16:39:22 +0200
From: Martin Gracik <mgracik@redhat.com>
Reply-To: Discussion of Development and Customization of the Red Hat Linux
    Installer <anaconda-devel-list@redhat.com>
To: anaconda-devel-list@redhat.com
Subject: anaconda-d] Don't remove sha256sum from the install image

---
 share/runtime-cleanup.tmpl |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/share/runtime-cleanup.tmpl b/share/runtime-cleanup.tmpl
index 5a08ab1..b454e67 100644
--- a/share/runtime-cleanup.tmpl
+++ b/share/runtime-cleanup.tmpl
@@ -154,7 +154,7 @@ removefrom coreutils /usr/bin/mkfifo /usr/bin/nl
/usr/bin/nohup /usr/bin/nproc
 removefrom coreutils /usr/bin/od /usr/bin/paste /usr/bin/pathchk
 removefrom coreutils /usr/bin/pinky /usr/bin/pr /usr/bin/printenv
 removefrom coreutils /usr/bin/printf /usr/bin/ptx /usr/bin/runcon
/usr/bin/seq
-removefrom coreutils /usr/bin/sha224sum /usr/bin/sha256sum
/usr/bin/sha384sum
+removefrom coreutils /usr/bin/sha224sum /usr/bin/sha384sum
 removefrom coreutils /usr/bin/sha512sum /usr/bin/shuf /usr/bin/stat


Is this in play here such that a respin of the test candidate is in order?
Comment 2 R P Herrold 2012-06-12 16:02:29 EDT
per a mailing list request, I reverted to:

[root@fedora17-64-kvm fedora]# rpm -q hercules
hercules-3.07-3.fc17.x86_64


I still get this cyclic error (error two)

dracut Warning: Unable to process initqueue
dracut Warning: /dev/root does not exist

Dropping to debug shell.

/lib/dracut-lib.sh: line 802: /dev/tty1: No such file or directory
   511.528226! dracut Warning: Unable to process initqueue
   511.544667! dracut Warning: /dev/root does not exist


dracut Warning: Unable to process initqueue
dracut Warning: /dev/root does not exist

Dropping to debug shell.                                                        


As to the error one

There was a different error set, not involving the shasum ... re-running so I can catch it
Comment 3 R P Herrold 2012-06-12 16:04:47 EDT
earlier errors include:

...
     3.375339! Initializing cgroup subsys perf_event
     3.376805! ftrace: allocating 15705 entries in 62 pages
HHCCP014I CPU0000: Specification exception CODE=0006 ILC=4
PSW=07040001 80000000 00000000001212FA INST=83220258     DIAG  2,2,600(0)
V:0000000000000258:K:06=00000000 00000000 00000000 00000159  ................
R0=0000000000000440 R1=0000000000B23008 R2=000000001FFA7E70 R3=0000000000B18CC8
R4=0000000000AB3816 R5=000000000000001A R6=0000000000000000 R7=0000000000000000
R8=0000000000B17000 R9=0000000000000000 RA=0000000000000000 RB=0000000000134D78
RC=0000000000AB37E8 RD=0000000000000000 RE=000000001FFA7E10 RF=000000001FFA7DD0
     3.693361! cpu: 1 configured CPUs, 0 standby CPUs
     3.700970! Brought up 1 CPUs
  ...
Comment 4 Jesse Keating 2012-06-13 18:53:22 EDT
I am able to duplicate here.  Did any previous builds of F17 work for you?  Any build that used dracut at all?
Comment 5 Jesse Keating 2012-06-13 19:07:28 EDT
Also can I see your prm file?
Comment 6 R P Herrold 2012-06-14 15:44:58 EDT
Is there a 'not' missing in comment 4  ?

I did not test prior candidates in the F17 s390x series

The config file is straight out of the fedora-17-RelNotes.txt, changing:

 1. the DASD to 0120, and removing locally un-used ones
 2. pointing to a local files:/// image path

[I have a local install mirror, but reverted that out before filing the bug, to follow the upstream example as closely as possible -- I'll amend the nameserver, and networking, once I get past this part]

fedora]# grep -v ^# generic.prm

ro ramdisk_size=40000 cio_ignore=all,!0.0.0009 vnc
rd.dasd=0.0.0120
ip=192.168.100.100::192.168.100.1:24:fedora.example.com:eth0:none
rd.znet=qeth,0.0.0800,0.0.0801,0.0.0802,layer2=0,portname=FOOBAR,portno=0
root=live:file:///etc/hercules/images/fedora/install.img
repo=http://s390.koji.fedoraproject.org/tree/test/20120605/s390x/os/
nameserver=10.20.30.40
[root@fedora17-64-kvm fedora]#

[root@fedora17-64-kvm fedora]# cat /etc/redhat-release ; rpm -q hercules
Fedora release 17 (Beefy Miracle)
hercules-3.07-3.fc17.x86_64
[root@fedora17-64-kvm fedora]#
Comment 7 Jesse Keating 2012-06-14 18:23:35 EDT
The not is not missing.  I am able to reproduce.  I ask about other versions because I just recently took on responsibilities for s390 and have until this bug came in never used hercules before.  I was looking for a base line of "it worked here, and doesn't any more' to start the debugging from.

I suspect that dracut is new to the hercules environment and may need some tweaking, but that's really just a guess here.
Comment 8 R P Herrold 2012-06-15 10:19:06 EDT
got it -- I will test the prior versions and advise, as a bisection
Comment 9 David Boyes 2012-11-28 11:55:23 EST
Note that this bug also occurs with real IBM s390x hardware (LPAR and in a z/VM virtual machine). That would probably indicate that it's more general in scope.
Comment 10 Dan Horák 2013-01-03 14:50:05 EST
(In reply to comment #9)
> Note that this bug also occurs with real IBM s390x hardware (LPAR and in a
> z/VM virtual machine). That would probably indicate that it's more general
> in scope.

David, do you see the problem also with pre F-18 composes (http://s390.koji.fedoraproject.org/tree/test/ and http://fedoraproject.org/wiki/Architectures/s390x/18)?
Comment 12 David Boyes 2013-01-16 11:21:52 EST
Haven't had an opportunity to test the pre-F18 composes, but have asked Neale and the test team to do so. Barring other required miracles, I should have an answer early next week.
Comment 13 Adam Goode 2013-05-23 20:21:09 EDT
I was not able successfully to install F18 on Hercules for what appears to be this same reason.
Comment 14 Dan Horák 2013-05-24 05:28:43 EDT
(In reply to Adam Goode from comment #13)
> I was not able successfully to install F18 on Hercules for what appears to
> be this same reason.

Adam, can you attach the Hercules log here? The installation of F-18 in hercules should crash much later. What version of Hercules do you have?
Comment 15 Fedora End Of Life 2013-07-04 02:30:57 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2013-08-01 14:06:56 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 17 Adam Goode 2013-10-01 20:59:07 EDT
This happens with 19. I will attach the log soon.
Comment 18 Adam Goode 2013-10-01 21:12:26 EDT
Created attachment 806216 [details]
log file for fedora 19
Comment 19 Dan Horák 2013-10-02 03:06:55 EDT
(In reply to Adam Goode from comment #18)
> Created attachment 806216 [details]
> log file for fedora 19

Adam, I can't see anything about sha256_s390 in your output, so your problem is different than this bug. It looks to me like using the default parameters file in installation, but one set the correct values there, please see https://fedoraproject.org/wiki/Architectures/s390x/19 (and use links to the older releases) for more info.
Comment 20 Fedora End Of Life 2015-01-09 16:58:59 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 21 Fedora End Of Life 2015-02-18 08:44:05 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.